%This function starts a recursive function that return the homogeneous state vector and return it.
%
%This function starts a recursive function that give the homogeneous state
%vector and return it.
%
%Prototype: [hState] = generateHomogeneousState(m, n)
%
%Input:     m - Degree of the state vector x in homogeneous form.
%           n - Degree of A.
%
%Output:    hState - Homogeneous state vector.

function [ hState ] = generateHomogeneousState( m, n )

syms x;
for i = 1:n
    x(i) = ['x_' int2str(i)];
end

varNumber = 1;
vect(length(x)) = 0;
syms hState;
hState = -1;

hState = generateHomogeneousStateRecursive(m, x, varNumber, vect, 0, hState);

return;

end
